<?xml version="1.0" encoding="utf-8"?>
<androidx.constraintlayout.widget.ConstraintLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    android:layout_width="match_parent"
    android:layout_height="wrap_content"
    android:background="@drawable/shape_f3f5f9_top_cor16">

    <androidx.constraintlayout.widget.ConstraintLayout
        android:id="@+id/layout_content"
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        app:layout_constraintBottom_toBottomOf="parent">

        <TextView
            android:id="@+id/tv_title"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_marginTop="@dimen/dp_16"
            android:text="编辑"
            android:textColor="@color/color_1a1a1a"
            android:textSize="@dimen/sp_16"
            android:textStyle="bold"
            app:layout_constraintEnd_toEndOf="parent"
            app:layout_constraintStart_toStartOf="parent"
            app:layout_constraintTop_toTopOf="parent" />

        <androidx.appcompat.widget.AppCompatImageView
            android:id="@+id/iv_close"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_marginEnd="@dimen/dp_12"
            android:padding="@dimen/dp_3"
            android:src="@mipmap/ic_close"
            app:layout_constraintBottom_toBottomOf="@id/tv_title"
            app:layout_constraintEnd_toEndOf="parent"
            app:layout_constraintTop_toTopOf="@id/tv_title" />

        <androidx.constraintlayout.widget.ConstraintLayout
            android:id="@+id/layout_text"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:layout_marginStart="@dimen/dp_12"
            android:layout_marginTop="@dimen/dp_16"
            android:layout_marginEnd="@dimen/dp_12"
            android:background="@drawable/shape_dfdfdf_line_cor8"
            android:paddingStart="@dimen/dp_12"
            android:paddingEnd="@dimen/dp_12"
            app:layout_constraintTop_toBottomOf="@id/tv_title">

            <androidx.appcompat.widget.AppCompatEditText
                android:id="@+id/et_content"
                android:layout_width="0dp"
                android:layout_height="wrap_content"
                android:background="@null"
                android:hint="请输入"
                android:lineSpacingExtra="@dimen/dp_5"
                android:paddingTop="@dimen/dp_16"
                android:paddingBottom="@dimen/dp_16"
                android:textColor="@color/color_1a1a1a"
                android:textColorHint="@color/color_bcbcbc"
                android:textSize="@dimen/sp_14"
                app:layout_constraintBottom_toBottomOf="parent"
                app:layout_constraintEnd_toStartOf="@id/iv_clear_text"
                app:layout_constraintStart_toStartOf="parent"
                app:layout_constraintTop_toTopOf="parent" />

            <androidx.appcompat.widget.AppCompatImageView
                android:id="@+id/iv_clear_text"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_marginStart="@dimen/dp_12"
                android:src="@mipmap/ic_clear_text"
                android:visibility="gone"
                app:layout_constraintBottom_toBottomOf="@id/et_content"
                app:layout_constraintEnd_toEndOf="parent"
                app:layout_constraintStart_toEndOf="@id/et_content"
                app:layout_constraintTop_toTopOf="@id/et_content" />

        </androidx.constraintlayout.widget.ConstraintLayout>

        <androidx.constraintlayout.widget.ConstraintLayout
            android:id="@+id/layout_bottom"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:layout_marginTop="@dimen/dp_30"
            android:background="@color/windowBackground"
            android:paddingStart="@dimen/dp_16"
            android:paddingTop="@dimen/dp_9"
            android:paddingEnd="@dimen/dp_16"
            android:paddingBottom="@dimen/dp_30"
            app:layout_constraintTop_toBottomOf="@id/layout_text">

            <com.cheng.bole.widget.CommonShapeView
                android:id="@+id/btn_next"
                android:layout_width="0dp"
                android:layout_height="0dp"
                android:text="确定"
                android:textColor="@color/white"
                android:textSize="@dimen/sp_15"
                android:textStyle="bold"
                app:csb_activeEnable="true"
                app:csb_cornerRadius="@dimen/dp_50"
                app:csb_fillColor="@color/color_125ffe"
                app:layout_constraintDimensionRatio="h,351:46"
                app:layout_constraintEnd_toEndOf="parent"
                app:layout_constraintStart_toStartOf="parent"
                app:layout_constraintTop_toTopOf="parent" />
        </androidx.constraintlayout.widget.ConstraintLayout>
    </androidx.constraintlayout.widget.ConstraintLayout>

</androidx.constraintlayout.widget.ConstraintLayout>